// grid and page variables
@import 'base/vars';

// grid
@import 'libs';

// base style
@import 'base/mixins';
@import 'base/fonts';
@import 'base/general';

@import 'base/checkbox';

//components
@import 'components/steps';

.card__title{
    display: block;
    text-align: center;
    @include mx-montserrat(#333333, 36px, 400);
    margin: 40px 0 16px;
}
.custom-select{
    position: relative;
    min-width: 78px;
    display: inline-block;
    margin-right: 15px;
    &:before{
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 15px;
        content: "\e9";
        color: #b5b9ba;
        font-family: 'icomoon';
        z-index: 0;
        font-size: 10px;
    }
}
.table-select{
    padding-left: 15px;
    position: relative;
    z-index: 1;
    min-width: 78px;
    min-height: 48px;
    border: 1px solid #b5b9ba;
    background: transparent;
    outline: none;
    appearance: none;
    @include mx-sans(#b5b9ba, 18px, 400);
}
.table-button--red{
    @include mx-sans($pink, 14px, 700);
        text-decoration: none;
        text-transform: uppercase;
        transition: 0.3s ease-in-out;
        cursor: pointer;
        &:hover{
            color: $pink-hover;
        }
}
.item-price-wrap{
    span{
        display: block;
        font-family: 'Open Sans',sans-serif;
        font-size: 14px;
    }
    .full-price{
        color: #999999;
        font-weight: 400;
        text-decoration: line-through;
    }
    .discount-price{
        color: $pink;
        font-weight: 700;
    }
    .discount-perc{
        color: $pink;
        font-weight: 700;
    }
}
table {
    border-collapse: collapse;
    width: 100%;
    border-bottom: 1px solid #b5b9ba;
}
thead{
    border-bottom: 1px solid #b5b9ba;

}
tr td{
    padding-top: 40px;
}
tr:last-child td{
    padding-bottom: 40px;
}
tr th:first-child{
    width: 40%;
}
tr th:nth-child(2){
    width: 26%;
}
tr th:last-child{
    width: 100px;
}
tr th{
    @include mx-montserrat(#b5b9ba, 14px, 700);
    height: 50px;
}
tr td:first-child{
    display: flex;
}
.product-img{
    min-width: 70px;
    display: flex;
    justify-content: center;
}
.product-setting{
    padding-left: 30px;
    display: flex;
    flex-direction: column;
    span{
        @include mx-sans(#333333, 16px, 400);
        margin-bottom: 2px;
        &:nth-child(2){
            .table-button{
                margin-left: 10px;
            }
        }
    }
    .table-button{
        @include mx-sans($blue, 14px, 700);
        text-decoration: none;
        text-transform: uppercase;
        transition: 0.3s ease-in-out;
        &:hover{
            color: $blue-hover;
        }
    }
}
.total-price{
    @include mx-sans(#333333, 14px, 700);
}
th,td {
    padding: 0px;
}
@media (max-width: 567px) {
    table, tr, td, tbody {
        display: block; /* делаем элементы таблицы блочными */
    }
    thead {
        display: none; /* скрываем заголовки */
    }
    tr {
        border-bottom: 1px solid #000; /* разделитель между группами данных */
    }
    td {
        /* разделитель между свойствами */
        border-color: #ccc;
        border-width: 0 0 1px 0;
        overflow: hidden; /* для сброса флоатов */
    }
    td:before {
        content: attr(data-label); /* получаем название свойства из атрибута */
        float: left;
        width: 50%;
        background-color: #e7e7e7;
        /* магия отступов, внешними вычитаем отступ ячейки, внутренними приравниваемся к нему, также делаем отступ от значения справа */
        margin: -10px 10px -10px -10px;
        padding: 10px 0 10px 10px;
    }
}

.card-row{
    margin-top: 30px;
    padding-bottom: 85px;
}
.additional-setting{
    .button-container{
        .card-button{
            min-width: 220px;
            margin-right: 6px;
        }
        margin-bottom: 34px;
    }
    .card-button{
        display: inline-flex;
        text-transform: uppercase;
        align-items: center;
        justify-content: center;
        border-radius: 2px;
        min-height: 40px;
        background-color: #ecf0f1;
        text-decoration: none;
        @include mx-montserrat($blue, 14px, 900);
        transition: 0.2s ease-in-out;
        border: none;
        outline: none;
        cursor: pointer;
        &:hover{
            background-color: $blue;
            color: #fff;
            box-shadow: 0 5px 7px $blue-hover;
        }
    }
    .form-promo{
        .field-title{
            @include mx-sans(#333333, 14px, 700);
        }
        fieldset{
            margin-bottom: 22px;
        }
        .form-input{
            outline: none;
            position: relative;
            top: 1px;
            min-height: 40px;
            border-radius: 2px;
            border: 1px solid #b5b9ba;
            max-width: 320px;
            width: 100%;
            margin-right: 6px;
            padding: 0 15px;
        }
        .card-button{
            padding: 0 36px;
        }
    }
}
.voucher-wrap{
    display: flex;
    flex-direction: column;
    .vouncher-row{
        display: flex;
        justify-content: space-between;
        margin-bottom: 9px;
        span{
            @include mx-sans(#333333, 14px, 700);
            text-transform: uppercase;
        }
        .vouncher-price{
            width: 100px;
        }
    }
    .voucher-btn{
        margin-top: 16px;
        border-radius: 2px;
    }
}